
extends Node2D

# member variables here, example:
# var a=2
# var b="textvar"

var disabled = false

func _ready():
	var world = get_node("/root/globals").world_index
	var ww = load("res://locations/"+["london","agra","japan","australia","mexico","newyork"][world]+"/walkway_end.scn")
	var wwi = ww.instance()
	add_child(wwi)
	#get_node("scene").call_deferred("raise")
	#wwi.call_deferred("raise")	
	call_deferred("move_child",wwi,0)
	get_node("/root/endlevel/base").connect("done",self,"_on_endlevel_done")
	
	
	
	

var complete = false
func _init():
	# Initalization here
	add_user_signal("stage_complete")
	
	pass



func _on_airport_body_enter( body ):
	if (disabled):
		return
	if (not complete and body extends preload("res://bean/bean.gd")):
#		print("AIRPORT DONE 1")
		complete=true
#		emit_signal("stage_complete")
		body.finished()
		get_node("sound").play(["airport1","airport2"][randi()%2])
		
	if (body extends preload("res://wicket/wicket.gd")):
		body.giveup()
		get_node("Timer").start()
	
		
				
	pass # replace with function body

var useplane=false

func _on_Timer_timeout():
	
	var nworld = get_node("/root/globals").world_index+1
	var gstate = get_node("/root/gamestate")
	
	if (gstate.get_plane()==nworld):
		useplane=true
	else:
		if (nworld>=gstate.get_max_worlds()):
			if (not gstate.p_info.data["game_complete"]):
				gstate.set_plane(nworld)
				useplane=true
		else:
			if (not gstate.is_world_unlocked(nworld)):
				gstate.set_plane(nworld)
				useplane=true
	
		
	get_node("/root/endlevel/base").appear(false)
	#_on_endlevel_done()	



func _on_endlevel_done():
	get_viewport().set_canvas_transform(Matrix32())
	
	if (useplane):
		get_node("/root/globals").change_scene("res://locations/airport/planeflying.scn")
	else:
		get_node("/root/globals").change_scene("res://screens/world_map2/world_map.scn")
	pass # replace with function body
