
extends Node

# member variables here, example:
# var a=2
# var b="textvar"

var stage_order=["london","agra","mexico","newyork"]
var stage_index=0
var level=null
var plane=null

func _planedone():
	get_node("fade").play("fadein")	

func _donefade():
	if (level):
		level.free()
		level=null		
		var nworld = get_node("/root/globals").world_index+1
		if (nworld>=get_node("/root/gamestate").get_max_worlds() or get_node("/root/gamestate").is_world_unlocked(nworld)):
			get_node("/root/globals").change_scene("res://screens/world_map2/world_map.scn")
			return
		
		get_node("/root/gamestate").set_plane(nworld)
		plane = preload("res://locations/airport/planeflying.scn").instance()
		
		add_child(plane)
		get_node("white").raise()
		get_node("fade").play("fadeout")	
		get_node("fade").queue("planewait")	
	elif (plane):
		plane.free()
		plane=null
		stage_index+=1
		if (stage_index==stage_order.size()):
			stage_index=0
		begin_stage()
		
		
		
func stage_done():
	get_node("fade").play("fadein")	


func begin_stage():

	level = preload("res://locations/level.scn").instance()
	add_child(level)
	level.load_stage(stage_order[stage_index],level.DIFFICULTY_EASY)
	level.connect("stage_completed",self,"stage_done",[],CONNECT_DEFERRED)
	get_node("white").raise()

	get_node("fade").play("fadeout")	

func _ready():
	randomize()	
	begin_stage()
	# Initalization here
	pass


