
extends Control

# member variables here, example:
# var a=2
# var b="textvar"

var server
var Config = preload("res://global/config.gd") 

func _ready():
	server = get_node("/root/gamestate")
	if(get_node("/root/globals").synced):
		show_menu()
		return
	
	connect("input_event",self,"sync_with_server")
	server.connect("sync_ok",self,"show_menu")
	server.connect("no_connection",self,"no_connection")
	
	server.subscribe("Everyone")
	server.engage("app_launch")
	server.show_heyzapinterstitial("app_start")
	#server.show_ad(server.get_app_parameter("Session_Start_ad" + "_" + OS.get_name(),Config.get_zone("Session_Start_ad" + "_" + OS.get_name())),{})
	#if(server.InAppStore):
	#	server.request_products()
		
	#if(server.notification_manager):
	#	server.notification_manager.setAlarmManager(4,true)

func sync_with_server(event):
	if(event.type == InputEvent.MOUSE_BUTTON && event.is_pressed()):
		server.retrieve_data()
		if(get_node("touch_screen").is_visible()):
			get_node("touch_screen").hide()
		
func show_menu():
	get_node("menu").show()
	get_node("menu").update_ygifts_count()
	if(get_node("touch_screen").is_visible()):
			get_node("touch_screen").hide()
	### CHECK IF ACTIVITY WAS OPENED FROM A PUSH NOTIFICATION
	server.check_notification()
	disconnect("input_event",self,"sync_with_server")

func no_connection():
	get_node("no_connection/anim").play("show_popup")