extends Node

const TEXTURES = [preload("res://screens/shop_v2/assets/hats/hat_bowler.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_golden_tophat.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_mariachi.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_tophat.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_trucker.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_basketball.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_construction.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_beret.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_beanie.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_conical.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_chef.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_cowboy.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_crown.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_explorer.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_fedora.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_flat.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_fruit.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_police.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_mortar.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_party.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_pilgrim.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_propeller.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_racoon.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_umbrella.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_bucket.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_boater.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_paper.png"),
				  preload("res://screens/shop_v2/assets/hats/hat_admiral.png")]

class Index:
	var idx = 0
	
	func set_idx(l,direction):
		if direction == "left":
			idx = TEXTURES.find(l,0) - 1
			if idx < 0:
				idx = TEXTURES.size() - 1
		elif direction == "right":
			idx =  TEXTURES.find(l,0) + 1
			if idx > TEXTURES.size() - 1:
				idx = 0
	
	func get_idx():
		return idx
		

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	pass
