
extends RigidBody2D

# member variables here, example:
# var a=2
# var b="textvar"

var wicket=null
var dead=false
var going_up=true

func _process(delta):
	if (dead):
		return
	if (get_global_pos().x < wicket.get_global_pos().x and not get_node("visibility").is_on_screen()):
		dead=true
		queue_free()
		
	if (going_up and get_linear_velocity().y > 0):
		going_up=false
		set_layer_mask(1)
	
func hit():
	set_process(false)
	dead=true
	set_layer_mask(0)
	get_node( "anim").play("hit")		

func _ready():
	# Initalization here
	set_process(true)
	pass




func _on_cat_body_enter( body ):
	pass


func _on_area_body_enter( body ):
	if (not dead and not going_up and body extends preload("res://bean/bean.gd")):
		print("BEAN HIT CAT")
		body.damage()
		dead=true
		hit()