
extends Node

const DEBUG_LEVEL_NAMES = 0

# MrBean Constants

const BEAN_WIND_UP_SPEED = -300
const BEAN_JUMP_VELOCITY = -1300
const BEAN_POGO_JUMP_VELOCITY = -2000
const BEAN_GRAVITY = 2800
const BEAN_BALLOON_LIFT=-1200
const BEAN_BALLOON_FALL=900
const BEAN_TARGET_SPEED = 650
const BEAN_CAR_TARGET_SPEED = 1550
const BEAN_SLOWDOWN_SPEED = 450
const BEAN_JUMP_STOP_FORCE = 4000
const BEAN_ACCEL=150
const BEAN_JUMP_UMBRELLA_VELOCITY = -600
const BEAN_FALL_UMBRELLA_VELOCITY = 300
const BEAN_DISTANCE_DIVIDER=150
const HEYZAP_CARBOOST = 5.5

const POWERUP_TIME_NONE = 0
const POWERUP_TIME_POGO = 5
const POWERUP_TIME_BALLOON = 5
const POWERUP_TIME_MAGNET = 7
const POWERUP_TIME_UMBRELLA = 10
const POWERUP_TIME_CAR = 3
const POWERUP_BOWLER = 19
const POWERUP_SPORTS = 10
const POWERUP_MARIACHI = 10

#if chance is -1, it's invulnerable
const POWERUP_CHANCES_NONE = 0
const POWERUP_CHANCES_POGO = 3
const POWERUP_CHANCES_BALLOON = 2
const POWERUP_CHANCES_MAGNET = -1
const POWERUP_CHANCES_UMBRELLA = 2
const POWERUP_CHANCES_CAR = -1

# STARS

const STARS_1_PERCENT=30
const STARS_2_PERCENT=50
const STARS_3_PERCENT=90

# Wicket Cosntants

const WICKET_FAR_DISTANCE=-650
const WICKET_NEAR_DISTANCE=-160
const WICKET_KILL_DISTANCE=-80
const WICKET_WALK_SPEED=100
const WICKET_APPROACH_SCALE=1.3
const WICKET_UNAPPROACH_SPEED=20
const WICKET_COOLDOWN_TIME=3
const WICKET_DISTANCE_DIVIDER=10
const WICKET_THROW_CAT_INTERVAL=4

# Victim Contants

const VICTIM_RUN_TIMEOUT = 10

#

const COIN_COUNT_BEAN_RUSH = 100
const COIN_BIG_VALUE = 10

# Red Gift

const RED_GIFT_PRIZE = 500

# Shop constants

const HUGE_BEAN_PACK=84000
const BIG_BEAN_PACK=42000
const MEDIUM_BEAN_PACK=25000
const SMALL_BEAN_PACK=10000
const TINY_BEAN_PACK=3000
const HUGE_BEAN_PACK_PRICE="u$d 15.99"
const BIG_BEAN_PACK_PRICE="u$d 8.99"
const MEDIUM_BEAN_PACK_PRICE="u$d 4.99"
const SMALL_BEAN_PACK_PRICE="u$d 2.99"
const TINY_BEAN_PACK_PRICE="u$d 1.49"
const BEAN_RUSH_X1=1500
const BEAN_RUSH_X5=5000
const BEAN_RUSH_X10=9500
const BOWLER_HAT=1000
const GOLDEN_HAT=1000
const MEXICAN_HAT=1000
const FLYING_NUN_HAT=1000
const TOP_HAT=1000
const TRUCKER_HAT=1000
const SPORTS_HAT=1000
const CONSTRUCTION_HAT=1000
const YELLOW_GIFTS=500

# Shop Sku's
const HUGE_BEAN_PACK_SKU="full_beans"
const BIG_BEAN_PACK_SKU="case_beans"
const MEDIUM_BEAN_PACK_SKU="bag_beans"
const SMALL_BEAN_PACK_SKU="can_beans"
const TINY_BEAN_PACK_SKU="handful_beans"
const BOWLER_HAT_SKU="bowler_hat"
const GOLDEN_HAT_SKU="gold_hat"
const MEXICAN_HAT_SKU="mariachi_hat"
const TOP_HAT_SKU="top_hat"
const TRUCKER_HAT_SKU="trucker_hat"
const SPORTS_HAT_SKU="headband_hat"
const CONSTRUCTION_HAT_SKU="construction_hat"
const ADMIRAL_HAT_SKU="admiral_hat"
const BERET_HAT_SKU="beret_hat"
const BEANNIE_HAT_SKU="beanie_hat"
const BOATER_HAT_SKU="boater_hat"
const CONICAL_HAT_SKU="conical_hat"
const COOK_HAT_SKU="chef_hat"
const COWBOY_HAT_SKU="cowboy_hat"
const CROWN_HAT_SKU="crown_hat"
const EXPLORER_HAT_SKU="explorer_hat"
const FEDORA_HAT_SKU="fedora_hat"
const FLAT_HAT_SKU="flat_hat"
const FRUITS_HAT_SKU="fruit_hat"
const LONDON_POLICE_HAT_SKU="police_hat"
const MORTER_HAT_SKU="mortar_hat"
const PAPER_HAT_SKU="paper_hat"
const PARTY_HAT_SKU="party_hat"
const PILGRIM_HAT_SKU="pilgrim_hat"
const PROPELLER_HAT_SKU="propeller_hat"
const RACOON_HAT_SKU="racoon_hat"
const UMBRELLA_HAT_SKU="umbrella_hat"
const BUCKET_HAT_SKU = "bucket_hat"

## PAY WALL SKUS
const MEGASALE_SKU = "megasale"
const UNLOCK_ALL_SKU = "unlock_all"
const UNLOCK_INDIA_SKU = "unlock_india"
const UNLOCK_JAPAN_SKU = "unlock_japan"
const UNLOCK_AUSTRALIA_SKU = "unlock_australia"
const UNLOCK_MEXICO_SKU = "unlock_mexico"
const UNLOCK_US_SKU = "unlock_us"
const IPHONE_PRODUCTS_IDS = {"product_ids":["unlock_all_non",
											"unlock_india_non",
											"unlock_japan_non",
											"unlock_australia_non",
											"unlock_mexico_non",
											"unlock_us_non",
											"full_beans",
											"case_beans",
											"can_beans",
											"bag_beans",
											"handful_beans",
											"bowler_hat",
											"gold_hat",
											"mariachi_hat",
											"top_hat",
											"trucker_hat",
											"headband_hat",
											"construction_hat",
											"admiral_hat",
											"beret_hat",
											"beanie_hat",
											"boater_hat",
											"conical_hat",
											"chef_hat",
											"cowboy_hat",
											"crown_hat",
											"explorer_hat",
											"fedora_hat",
											"flat_hat",
											"fruit_hat",
											"police_hat",
											"mortar_hat",
											"paper_hat",
											"party_hat",
											"pilgrim_hat",
											"propeller_hat",
											"racoon_hat",
											"umbrella_hat",
											"bucket_hat",
											"megasale"]}
											
const ANDROID_PRODUCT_IDS = ["unlock_all,unlock_india,unlock_japan,unlock_australia,bucket_hat",
							 "unlock_mexico,unlock_us,full_beans,case_beans,can_beans",
							 "bag_beans,handful_beans,headband_hat,construction_hat,admiral_hat",
							 "bowler_hat,gold_hat,mariachi_hat,top_hat,trucker_hat",
							 "beret_hat,beanie_hat,boater_hat,conical_hat,chef_hat",
							 "cowboy_hat,crown_hat,explorer_hat,fedora_hat",
							 "flat_hat,fruit_hat,pilgrim_hat,police_hat,mortar_hat",
							 "paper_hat,party_hat,propeller_hat,racoon_hat,umbrella_hat,megasale"]
## MEGASALE TIMER

const MEGASALE_TIME_SECS = 3600
const MEGASALE_DELAY = 1

## HATS FILTER !!!
const HATS_PC = {"tier1":"7.99",
				 "tier2":"3.99",
				 "tier3":"1.99"}

const HATS_FILTER = {"bowler":"tier2",
					"golden":"tier1",
					"mexican":"tier2",
					"top":"tier1",
					"trucker":"tier2",
					"sports":"tier2",
					"construction":"tier2",
					"admiral":"tier3",
					"beanie":"tier3",
					"boater":"tier3",
					"conical":"tier3",
					"chef":"tier3",
					"cowboy":"tier3",
					"crown":"tier3",
					"explorer":"tier3",
					"fedora":"tier3",
					"flat":"tier3",
					"fruit":"tier3",
					"police":"tier3",
					"mortar":"tier3",
					"paper":"tier3",
					"party":"tier3",
					"pilgrim":"tier3",
					"propeller":"tier3",
					"racoon":"tier3",
					"umbrella":"tier3",
					"beret":"tier3",
					"bucket":"tier3"}

static func get_hat_pc(hat):
	if(HATS_FILTER.has(hat)):
		return HATS_PC[HATS_FILTER[hat]]
	else:
		return null

#achievements

const ACHIEVEMENT_METERS_RUN = 42195
const ACHIEVEMENT_MISHAPS1 = 150
const ACHIEVEMENT_MISHAPS2 = 250
const ACHIEVEMENT_HOT_AIR = 20 #
const ACHIEVEMENT_FLOATER = 100 #
const ACHIEVEMENT_POGO = 20 #
const ACHIEVEMENT_RUSH = 50 #
const ACHIEVEMENT_CLOSE_WICKET_SEC = 180
const ACHIEVEMENT_JUMP_TIME = 180
const ACHIEVEMENT_BAG_OF_BEANS = 10000

# Level Costs

const LEVEL_CONTINUE_COST = 1000
const LEVEL_COST = 1000
const CHECKPOINT_COST=[
#uk
{

	1:30,
	2:150,
	3:150,
	4:300,
	5:300,
	6:400,
	7:400,
	8:500,
	9:600,
	
},
#undia
{

	1:100,
	2:150,
	3:150,
	4:300,
	5:300,
	6:400,
	7:400,
	8:500,
	9:600,
	
},
#japan
{

	1:100,
	2:150,
	3:150,
	4:300,
	5:300,
	6:400,
	7:400,
	8:500,
	9:600,

},
#australia
{

	1:100,
	2:150,
	3:150,
	4:300,
	5:300,
	6:400,
	7:400,
	8:500,
	9:600,
	
},
#mexico
{

	1:100,
	2:150,
	3:150,
	4:300,
	5:300,
	6:400,
	7:400,
	8:500,
	9:600,

},
#usa
{

	1:100,
	2:150,
	3:150,
	4:300,
	5:300,
	6:400,
	7:400,
	8:500,
	9:600,

}
]
const AIRPLANE_COST = 1000

const BEANS_OVER_X = 10000

### FLIGHT TIMER

const FLIGHT_TIME_SEC = 3600.0

### FUSEPOWERED AD ZONES
const AD_ZONES = {"session_start_ad_android":"1986f97b",
				  "menu_load_ad_android":"41ca887e",
				  "give_up_gg_ad_android":"4c8bb404",
				  "skip_checkpoint_ad_android":"361e1199",
				  "quit_to_map_ad_android":"2167e4b1",
				  "no_purchase_inshop_ad_android":"7fe429c5",
				  "leave_flight_ad_android":"4361e2b4",
				  "more_games_ad_android":"2e268618",
				  "level_complete_ad_android":"7deb3ab4",
				  "watch_a_video_rewarded_ad_android":"48fa273b",
				  "video_inshop_rewarded_ad_android":"6e45cc52",
				  "no_money_rewarded_ad_android":"525db174",
				  "popup_shop_rewarded_ad_android":"5a0ee646",
				  "lose_xtimes_offer_zone_android":"3abee581",
				  "go_back_offer_zone_android":"5c263d75",
				  "no_monies_offer_zone_android":"7c33a792",
				  "flight_timer_offer_zone_android":"13b99331",
				  "daily_bonus_offer_zone_android":"6cd76c98",
				  "game_complete_offer_zone_android":"2d1f6a69",
				  "no_adverts_offer_zone_android":"48f74f17",
				  "session_start_ad_ios":"d67603b",
				  "menu_load_ad_ios":"17a17215",
				  "give_up_gg_ad_ios":"1dfc0bb6",
				  "skip_checkpoint_ad_ios":"58afb0b4",
				  "quit_to_map_ad_ios":"4c58a49b",
				  "no_purchase_inshop_ad_ios":"7398891f",
				  "leave_flight_ad_ios":"7f41694",
				  "more_games_ad_ios":"5cbffec1",
				  "level_complete_ad_ios":"642415f7",
				  "watch_a_video_rewarded_ad_ios":"17b0454c",
				  "video_inshop_rewarded_ad_ios":"440b65be",
				  "no_money_rewarded_ad_ios":"540e8b58",
				  "popup_shop_rewarded_ad_ios":"864ba22",
				  "lose_xtimes_offer_zone_ios":"19120b32",
				  "go_back_offer_zone_ios":"3e6dcbb9",
				  "no_monies_offer_zone_ios":"d81fc19",
				  "flight_timer_offer_zone_ios":"404ef1d6",
				  "daily_bonus_offer_zone_ios":"1f9448a3",
				  "game_complete_offer_zone_ios":"539024e1",
				  "no_adverts_offer_zone":"132ce852",
				  "non_rewarded_ad_ios":"d67603b",
				  "rewarded_ad_ios":"17b0454c",
				  "offer_zone_ios":""}
				
static func get_zone(zone):
	if(AD_ZONES.has(str(zone).to_lower())):
		return AD_ZONES[str(zone).to_lower()]
	else:
		return ""