extends Node

var next_scenes=[]
var current_scene=null
var current_hat="golden_tophat"
#var current_hat=""
var level_index=0
var world_index=0
var won_levels={}
var custom_level=""
var bean_rush_stored=false
var bean_rush_fill=0
var distance_run=0.0
var continued=false
var synced=false
var unlock_active_session = false
var is_premium = false
var megasale_ok = false
var collected_beans_endless = 0
var menu_sessions = 0
var user_sessions = {"m_sessions":0,
					 "m_yellow":false}
var endless_mode = false
var longer_car_boost = false
var rating_prompt_3stars = 0
var times_played = {}
var times_played_endless = {}

var global_powerups = {"golden":false,
					   "top":false,
					   "bowler":false,
					   "construction":false,
					   "mexican":false,
					   "trucker":false,
					   "sports":false}

var iap_localized_request_timeout = 2.5

var marquee=null
var marqueet=null
var loader=null

func get_checkpoint_str():
	return str("W",world_index+1,"L",level_index+1)

func _scene_loaded(scene):

	var current = get_parent().get_child( 0 )
	current.free()

	var s = scene.instance()
	get_parent().add_child(s)	
	get_parent().move_child(s,0)

func _change_scene2(path):
	
	if (not loader):
		loader=get_node("../loader")
		loader.connect("loaded",self,"_scene_loaded")
		
	loader.load_scene(path)

func change_scene(path):
	call_deferred("_change_scene2",path)

func _ready():

	get_parent().call_deferred("move_child",get_parent().get_child(get_parent().get_child_count()-1),0)
	get_tree().set_auto_accept_quit(false)
	var ss = OS.get_window_size()
	print("ss is",ss.width/ss.height)
	if (ss.width/ss.height <= 1.34):
		marquee = load("res://global/marquee.png")
		marqueet = load("res://global/marqueet.png")
		print("USE MARQUEE")
		VS.black_bars_set_images(RID(),marqueet.get_rid(),RID(),marquee.get_rid())
		
	##### MAIN MENU SESSIONS TO DISPLAY UNLOCK ALL HAND
	manage_sessions_file() 
	get_ratings_prompt3stars()
	
func manage_sessions_file():
	var file = File.new()
	var err
	
	if(file.file_exists("user://user_sessions.bin")):
		err = file.open_encrypted_with_pass("user://user_sessions.bin",File.READ,"user_sessions")
		if(err == 0 and file.is_open()):
			user_sessions = file.get_var()
			menu_sessions = user_sessions["m_sessions"]
			file.close()
	
	err = file.open_encrypted_with_pass("user://user_sessions.bin",File.WRITE,"user_sessions")
	if(err == 0):
		menu_sessions += 1
		user_sessions["m_sessions"] = menu_sessions
		file.store_var(user_sessions)
		file.close()

func set_m_yellow(val):
	user_sessions["m_yellow"] = val
	var file = File.new()
	var err = file.open_encrypted_with_pass("user://user_sessions.bin",File.WRITE,"user_sessions")
	if(err == 0):
		file.store_var(user_sessions)
		file.close()
		
func get_m_yellow():
	return user_sessions["m_yellow"]

func get_ratings_prompt3stars():
	var file = File.new()
	var err
	
	if(file.file_exists("user://ratings_prompt_sessions.bin")):
		err = file.open_encrypted_with_pass("user://ratings_prompt_sessions.bin",File.READ,"ratings_prompt_sessions")
		if(err == 0 and file.is_open()):
			rating_prompt_3stars = file.get_float()
			file.close()

func manage_ratings_prompt3stars():
	var file = File.new()
	var err
	
	err = file.open_encrypted_with_pass("user://ratings_prompt_sessions.bin",File.WRITE,"ratings_prompt_sessions")
	if(err == 0):
		rating_prompt_3stars += 1
		file.store_float(rating_prompt_3stars)
		file.close()