
extends Node2D

# member variables here, example:
# var a=2
# var b="textvar"
export(int,"slow","medium","fast") var cart_speed=1
var CART_SPEED = 150
var crashed=false

func _ready():
	# Initalization here
	#set_process(true)
	#var colortype=randi()%3
	if (cart_speed==0):
		get_node("base/chassis").set_modulate(Color(1,0.5,0.5,1))
		get_node("base/cover").set_modulate(Color(1,0.5,0.5,1))
		CART_SPEED=120
	if (cart_speed==1):
		get_node("base/chassis").set_modulate(Color(245/255.0,1.0,188/255.0,1))
		get_node("base/cover").set_modulate(Color(245/255.0,1.0,188/255.0,1))
		CART_SPEED=180
		
	if (cart_speed==2):
		get_node("base/chassis").set_modulate(Color(209/255.0,188/255.0,1.0,1))
		get_node("base/cover").set_modulate(Color(209/255.0,188/255.0,1.0,1))
		CART_SPEED=350
		
	get_node("sfx").play("cart_loop")
	pass


func _process(delta):
	var pos = get_pos()
	pos.x-=CART_SPEED*delta
	set_pos(pos)

func _on_area_body_enter( body ):
	if (not crashed and body extends preload("res://bean/bean.gd")):
		crashed=true
		get_node("anim").play("crash")
		set_process(false)
		body.damage()
		get_node("sfx").stop_all()
	pass # replace with function body
