
extends CanvasLayer

# member variables here, example:
# var a=2
# var b="textvar"

var ril=null

var TMAX=150
var skip=2

var char_show=0
var loaded_path=""

func _process(delta):

	if (skip):
		skip-=1
		return
	var t = OS.get_ticks_msec()
		
	while(OS.get_ticks_msec() < t + TMAX):
		var res = ril.poll()
		if (res==ERR_FILE_EOF):
			set_process(false)
			emit_signal("loaded",ril.get_resource())
			ril=null
			#hide()
			get_node("canvas/anim").play("fadeout")
			break			
		else:
			if (res!=OK):
				print("failed loading: ",loaded_path)
			assert( res==OK )
			get_node("canvas/center/container/progress").set_value( ril.get_stage() )

func load_scene(path):

	char_show+=1
	for i in range(3):
		if (char_show%3 == i):
			get_node("canvas/center/scene"+str(i+1)).show()
		else:
			get_node("canvas/center/scene"+str(i+1)).hide()
	loaded_path=path
	ril = ResourceLoader.load_interactive(path)
	assert( ril != null )
	get_node("canvas/center/container/progress").set_max( ril.get_stage_count() )
	get_node("canvas/center/container/progress").set_value(0)	
	raise()
	get_node("canvas/anim").play("fadein")
	skip=2
	
	print("loading tip : ", "LOADING_TIP_"+str((randi()%21)+1))
	get_node("canvas/tips").set_text("LOADING_TIP_"+str((randi()%21)+1))
	
	
func _begin_load():

	set_process(true)
	


func _ready():
	add_user_signal("loaded")
	get_node("canvas").hide()
