
extends TextureFrame

# member variables here, example:
# var a=2
# var b="textvar"

var server
var Config = preload("res://global/config.gd")
var max_time

func _ready():
	server = get_node("/root/gamestate")
	get_node("gift_container/gift/anim").connect("finished",self,"delete")
	self.set_process(false)
	
func _process(delta):
	if(max_time < OS.get_ticks_msec()):
		self.set_process(false)
		self.queue_free()

func _on_continue_btn_pressed():
	if(!get_node("continue_btn").is_hidden()):
		get_node("continue_btn").hide()
		
	get_node("gift_container/gift/anim").play("open")
	var prize = int(server.get_app_parameter("red_gift_prize", Config.RED_GIFT_PRIZE))
	server.set_beans(server.get_beans() + prize)
	get_node("desc/Label").set_text(tr("RED_GIFT_PRIZE_DESC").replace("[BEANS_XX]",str(prize)))

func delete():
	get_node("gift_container/gift/porotos").set_emitting(true)
	self.set_process(true)
	max_time = OS.get_ticks_msec() + 1750