
extends TextureFrame

# member variables here, example:
# var a=2
# var b="textvar"
var gstate=null

func _world_select(idx):
	get_node("/root/globals").world_index=idx
	get_node("/root/globals").change_scene("res://screens/level_map/level_select.scn")
	
	
var waiting_plane=-1

func _ready():
	gstate=get_node("/root/gamestate")
	
	
	var plane = gstate.get_plane()!=-1
	if (gstate.get_plane()!=-1):
		if (gstate.get_seconds_left() <=0 ):
			gstate.clear_plane()
		else:
			waiting_plane=plane
			
	var idx=0
	var prev=null
	for c in get_node("countries").get_children():
		if (not gstate.is_world_unlocked(idx)):
			c.get_node("glow").hide()
			c.get_node("button").hide()
			if (prev):
				prev.get_node("line").hide()
			c.set_opacity(0.5)
			c.get_node("progress").hide()
		else:
			if (prev and gstate.get_level_unlocked(idx)==0):
				prev.get_node("anim").play("travel")
				prev.get_node("anim").queue("glowloop")
				c.get_node("progress").hide()
			else:
				c.get_node("glow").show()
				c.get_node("glow").set_opacity(1.0)
				c.get_node("button").show()
				c.get_node("button").set_opacity(1.0)
				if (prev):
					prev.get_node("line").show()
				c.get_node("anim").play("glowloop")
				
				c.get_node("progress").show()

			if (gstate.get_level_unlocked(idx)==0):
				c.get_node("progress/value").set_text(tr("CS_NEW"))
			elif (gstate.get_level_unlocked(idx)==gstate.get_max_level(idx)-1):
				c.get_node("progress/value").set_text(tr("CS_COMPLETE"))
			else:
				c.get_node("progress/value").set_text(tr("CS_LEVEL")+" "+str(gstate.get_level_unlocked(idx+1)))
				
			c.set_opacity(1.0)
		
		c.get_node("button").connect("pressed",self,"_world_select",[idx])	
		prev=c
		idx+=1
		
			
	# Initalization here
	pass




func _on_back_button_pressed():
	get_node("/root/globals").change_scene("res://screens/main_menu/main_menu.scn")
	pass # replace with function body
